%define base gtk-engines
%define _name lighthouseblue

Name: %base-%_name
Version: 0.4
Release: alt1.4

Summary: A GTK+2 theme engine - Lighthouse Blue
License: GPL
Group: Graphical desktop/GNOME
Url: ftp://ftp.gnome.org/pub/gnome/teams/art.gnome.org/themes/gtk2/

Source: %name-%version.tar.bz2
# Disables building gtk1 engine.
Patch: %name-0.4-no_gtk1_makefile.patch

%define gtk_ver 2.1.5
BuildPreReq: libgtk+2-devel >= %gtk_ver

# Automatically added by buildreq on Thu Oct 24 2002
BuildRequires: XFree86-devel XFree86-libs freetype2-devel gcc-c++ glib-devel glib2-devel glibc-devel-static gtk+-devel libXft-devel libatk-devel libgtk+2-devel libpango-devel libstdc++-devel pkgconfig

#BuildRequires: XFree86-devel XFree86-libs Xft-devel freetype2-devel gcc-c++ glib-devel glib2-devel glibc-devel-static gtk+-devel libatk-devel libgtk+2-devel libpango-devel libstdc++-devel pkgconfig

BuildRequires: XFree86-devel XFree86-libs Xft-devel freetype2-devel
BuildRequires: gcc-c++ glib2-devel glibc-devel-static libatk-devel libgtk+2-devel
BuildRequires: libpango-devel libstdc++-devel pkgconfig

%description
GTK2 theme engine Lighthouse Blue.

%package -n metacity-themes-%_name
Summary: Metacity theme - Lighthouse Blue
Group: Graphical desktop/GNOME
Requires: libgtk+2 >= %gtk_ver

%description -n metacity-themes-%_name
This package contains a theme for Metacity named Lighthouse Blue.

%prep
%setup -q -n %_name
%patch -p1

%build
%__aclocal
%__autoconf
%__automake -a -c -f

%configure
%make_build

%install
%makeinstall
%__rm -f themes/metacity*/Makefile*
%__cp -r themes/metacity* %buildroot%_datadir/themes/LighthouseBlue/

%files
%_libdir/gtk-*/*/engines/*.so
%_datadir/themes/*/gtk-2*
%doc AUTHORS

%files -n metacity-themes-%_name
%_datadir/themes/*/metacity*

%changelog
* Wed Dec 18 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.4-alt1.4
- Rebuilt with gtk-2.1.5

* Fri Dec 06 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.4-alt1.3
- Rebuilt with gtk-2.1.3.

* Sun Nov 03 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.4-alt1.2
- Rebuilt with new gtk2.

* Thu Oct 24 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.4-alt1.1
- Rebuilt with new gtk2.

* Wed Oct 09 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.4-alt1
- First build for Sisyphus.
